<meta charset="utf-8">
<h1>AJAX com API Fetch</h1>
<button id="btnCarregar">
    Carregar
</button>
<div class="conteudo">

</div>

<script>

    const btnCarregar = document.querySelector('#btnCarregar');
    const divConteudo = document.querySelector('.conteudo');

    btnCarregar.addEventListener('click', function() {
        btnCarregar.disabled = true;

        fetch('02-dom.html').then(function(resposta) {
            return resposta.text();
        })
        .then(function(conteudoCarregado) {
            divConteudo.innerHTML = conteudoCarregado;
        })
        .catch(function(erro) {
            divConteudo.innerHTML = erro;
        })
        .finally(function() {
            btnCarregar.disabled = false;
        });
    });

</script>